Skip to Content
New release 12 available 🎉
API ReferenceLicensingValidation and Info

Validation and Info

POST/v1/license/validatePOST /v1/license/validate

Code samples

# You can also use wget curl -X POST /v1/license/validate \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain'

POST /v1/license/validate

Body parameter

{ "userKey": "string", "machineId": "string", "clientId": "string", "clientName": "string" }

Parameters

NameInTypeRequiredDescription
bodybodyLicensing.ValidateLicenseRequestfalsenone

Example responses

200 Response

{"success":true,"licenseToken":"string","tokenExpireAt":{"seconds":0,"nanos":0},"activeClientCount":0,"maxClientCount":0,"license":{"licenseId":"string","licensingMode":0,"expireAt":{"seconds":0,"nanos":0},"supportExpireAt":{"seconds":0,"nanos":0},"licenseKey":[0]}}
{ "success": true, "licenseToken": "string", "tokenExpireAt": { "seconds": 0, "nanos": 0 }, "activeClientCount": 0, "maxClientCount": 0, "license": { "licenseId": "string", "licensingMode": 0, "expireAt": { "seconds": 0, "nanos": 0 }, "supportExpireAt": { "seconds": 0, "nanos": 0 }, "licenseKey": [ 0 ] } }

Responses

StatusMeaningDescriptionSchema
200OK OKLicensing.ValidateLicenseResponse

Authentication: Bearer token or API key (x-api-key).

POST/v1/license/infoPOST /v1/license/info

Code samples

# You can also use wget curl -X POST /v1/license/info \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain'

POST /v1/license/info

Body parameter

{ "userKey": "string", "machineId": "string", "clientId": "string", "clientName": "string" }

Parameters

NameInTypeRequiredDescription
bodybodyLicensing.LicenseInfoRequestfalsenone

Example responses

200 Response

{"licenseTokens":[{"token":"string","licenseId":"string","revoked":true,"clientId":"string","clientAddr":"string","clientName":"string","machineId":"string","issuedAt":{"seconds":0,"nanos":0},"expireAt":{"seconds":0,"nanos":0},"lastHearbeat":{"seconds":0,"nanos":0}}],"licenseId":"string","maxClientCount":0,"activeClientCount":0,"licensingMode":0,"revoked":true,"issuedAt":{"seconds":0,"nanos":0},"expireAt":{"seconds":0,"nanos":0},"supportExpireAt":{"seconds":0,"nanos":0}}
{ "licenseTokens": [ { "token": "string", "licenseId": "string", "revoked": true, "clientId": "string", "clientAddr": "string", "clientName": "string", "machineId": "string", "issuedAt": { "seconds": 0, "nanos": 0 }, "expireAt": { "seconds": 0, "nanos": 0 }, "lastHearbeat": { "seconds": 0, "nanos": 0 } } ], "licenseId": "string", "maxClientCount": 0, "activeClientCount": 0, "licensingMode": 0, "revoked": true, "issuedAt": { "seconds": 0, "nanos": 0 }, "expireAt": { "seconds": 0, "nanos": 0 }, "supportExpireAt": { "seconds": 0, "nanos": 0 } }

Responses

StatusMeaningDescriptionSchema
200OK OKLicensing.LicenseInfoResponse

Authentication: Bearer token or API key (x-api-key).

Last updated on